Update COO Linked with Shipment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

HTTP Method: PUT

Endpoint URL: https://coreapi.impexdocs.com/api/v1/coo/{shipmentdocs_id}

Authentication: Required

Response Format: JSON

Description

To modify a COO, make a PUT request to the specified endpoint with the required information. The response will be a JSON object containing:

  • Response Code
  • Message
  • Result

Request

Path Parameter

  • Shipment Folder Detail Id (shipmentfolderdetail_id): The shipment number is the primary key used to uniquely identify each Shipment in our system. It is essential for updating and retrieving data.
  • Exporter Reference (exporter_reference):
  • Customer Reference (customer_reference):
  • Chamber of Commerce (chamber_of_commerce):
  • Document Type (document_type):
  • Transaction Type (transaction_type):

Example Path Parameter

https://coreapi.impexdocs.com/api/v1/coo/your_shipmentdocs_id

Example Request

Ensure to include the Shipmentdocs ID in the path and provide any additional fields that need modification in the request JSON.

Response

The API will respond with a JSON object containing:

  • Response Code
  • Message

Example Response JSON

{
  "response_code": 200,
  "message": "Updated"
}

Note

  • Ensure proper authentication before making the request.
  • Use the Shipmentdocs ID obtained during the creation of the Shipment for the path parameter.
  • Provide the necessary fields to be modified in the request JSON.
Path Params
uuid
required
Body Params
uuid | null
int32 | null
general_detail
object
transport_and_loading_details
object
signtory_details
object
additional_details
object
CooPartnerType
array of objects | null
CooPartnerType
file_upload
array of objects | null
file_upload
line_items
array of objects | null
line_items
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json